パスワードを忘れた? アカウント作成
この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。

科学技術振興機構の電子ジャーナルプラットフォーム「J-STAGE」では未だにFirefoxが非推奨」記事へのコメント

  • メジャーなブラウザの最新版と一個前のバージョンくらいだけ許して、古いバージョンやもはや更新されていないものでアクセスしたらFirefoxなりChromeなりのダウンロードページへのリンク出すくらいでいいような気がする。

    • そうなるとブラウザも何らかの基準に対する動作を変えない保証が必要。

      たとえば、FirefoxもいつのまにかCCS3に準拠できてたら100点取れるはずのAcid3のスコアが100点じゃなくなってる [acidtests.org]し、100点取れた6.0.2以降のどっかのバージョンで描画にバグを入れている。

      手元にあるブラウザで試したら、Chrome/70も97点、IE11とEdge/17は100点を維持していた。

      一度クリアした終わったベンチマークなんてどうでもいいと思っているのかはわからないけど、標準に準拠してたのが途中で変わっているなんてことがあったら、表示が少し壊れたときでも利用者から苦情が来やすいサイトや、業務委託でガチガチの契約に縛られたサイトからバージョン縛りされても仕方ないとも思う。

      親コメント
      • by Anonymous Coward

        俺の手元のFirefox 64.0(Windows64bit版)は97点
        Chrome/70と同点じゃん。
        まあ、俺の環境でChromeが97点かは知らんが。

      • by Anonymous Coward

        動作確認済ブラウザ≠推奨ブラウザ

        動作確認したブラウザバージョンはそれはそれとして、推奨ブラウザは常に最新版であるべき。

        • by Anonymous Coward

          それだと万が一最新バージョンで動作確認バージョンと挙動が変わった場合に推奨してるのに表示が崩れたとか動かないぞって文句言われるんじゃないかな?推奨バージョンであって動作確認バージョンではないので、壊れたり動かなくなる場合もありますで客に通じるとは思えないけど。

          別に不都合な事態があってもご不便おかげしますしばらくお待ち下さい、表示が少々おかしくても別に使えるでしょ?ベストエフォートですが許されるサイトなら兎も角
          業務委託で運営している公共のサイトで動きませんは許されないし、チェックが終わる前にたぶん動くだろうで推奨扱いにして不具合が出たら客に文句言われるし、動作確認バージョン以外は動作保証しません(動くかもね)になるのも仕方ないかと。予算や時間の都合でバージョンアップ毎にチェックできるとも限らないし。

          • by Anonymous Coward

            そんな風に推奨環境を責任逃れに使ってたらタレコミのように最新版ブラウザでは何も見れなくなるからダメだよねっていう話じゃないの?

            • by Anonymous Coward

              (横からだけど)
              最新のバージョンがバグってたら、毎回最新版のバグにあわせて変えろって事?
              で、そのバグが直ったらまた元に戻せと? 標準も何も無視してIE6にあわせたウェブサイトばっかり作られてた頃と何が違うのそれ?
              #3534410さんが指摘してるのってそういうことでしょ

              • by Anonymous Coward
                そらそうでしょ?
                最新版じゃないブラウザにはほぼ間違いなくクリティカルな脆弱性があるんだから、
                ユーザーにそんな危険なブラウザの使用を強制して事故起こしたら責任取れんの?
              • by Anonymous Coward

                それが保守運用するってこと。責任の所在がどちらにせよ、それでベンダーは積算して入札して仕事もらって金取ってるので。

              • by Anonymous Coward

                Firefox の場合は Beta や Nightly があるのでいち早く試してバグ報告するなりパッチを書くなりするのが宜しいかと。同じようなバグが発生しないようにテストも書いたらより良いですね。
                Chrome も同様に先に試せるバージョンが有るようですね。

                それでも安定版で直らなければ回避コードを仕込むしかないですかね。

    • by Anonymous Coward

      今どき最新バージョンに自動でアップデートされてない環境って既にOSも含めたサポートが切れてると思う

    • by Anonymous Coward

      それって結局、推奨ブラウザ/バージョンなのでは…

      • by Anonymous Coward

        推奨じゃなくて最新を必須にしちゃえって話です

    • by Anonymous Coward

      推奨というか、弊社社内のシステム、Javascriptの一部が特定のブラウザでは動かず使えない。
      それも、Chromeでないと動かないシステムと、IEでないと動かないシステムの両方があったりしてなかなか器用。

      ちらっとデバッグしてみると、非標準のプロパティを見に行って転けてる感じだった。
      (ので、正確には、「~でないと動かない」ではなく、「~でならとりあえず動く」だけど)

身近な人の偉大さは半減する -- あるアレゲ人

処理中...